com.io7m.jtensors

## Interface VectorWritable3FType

- All Superinterfaces:
    VectorWritable2FType
  All Known Subinterfaces:
    PVector3FType<T>, PVector4FType<T>, PVectorByteBuffered3FType<T>, PVectorByteBuffered4FType<T>, PVectorWritable3FType<T>, PVectorWritable4FType<T>, Quaternion4FType, QuaternionByteBuffered4FType, QuaternionWritable4FType, Vector3FType, Vector4FType, VectorByteBuffered3FType, VectorByteBuffered4FType, VectorWritable4FType
  All Known Implementing Classes:
    PVectorByteBufferedM3F, PVectorByteBufferedM4F, PVectorM3F, PVectorM4F, QuaternionByteBufferedM4F, QuaternionM4F, VectorByteBufferedM3F, VectorByteBufferedM4F, VectorM3F, VectorM4F

      public interface VectorWritable3FType
      extends VectorWritable2FType

  'Write' interface to three-dimensional vectors with `float` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom3F(VectorReadable3FType in_v)` Set the current vector to the contents of the input vector.
    `void` | `set3F(float x, float y, float z)` Set the current `x`, `y` and `z` values of the current vector.
    `void` | `setZF(float z)` Set the current `z` value of the current vector.

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable2FType

      `copyFrom2F, set2F, setXF, setYF`

- - ### Method Detail

    - #### copyFrom3F

          void copyFrom3F(VectorReadable3FType in_v)

      Set the current vector to the contents of the input vector.
      Parameters:
        `in_v` - The input vector

    - #### set3F

          void set3F(float x,
                     float y,
                     float z)

      Set the current `x`, `y` and `z` values of the current vector.
      Parameters:
        `x` - The new `x` value.
        `y` - The new `y` value.
        `z` - The new `z` value.

    - #### setZF

          void setZF(float z)

      Set the current `z` value of the current vector.
      Parameters:
        `z` - The new `z` value.

Copyright © 2015 <code@io7m.com> http://io7m.com